Package com.logicaldoc.core.util

# Class DbcpConfiguration

java.lang.Object
com.logicaldoc.core.util.DbcpConfiguration

public class DbcpConfiguration extends Object
Configuration bean for DBCP

Since:
  8.2
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`DbcpConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConnectionInitSqls()`
`String`
`getDriverClassName()`
`int`
`getInitialSize()`
`int`
`getMaxIdle()`
`int`
`getMaxTotal()`
`int`
`getNumTestsPerEvictionRun()`
`String`
`getPassword()`
`long`
`getTimeBetweenEvictionRunsMillis()`
`String`
`getUrl()`
`String`
`getUsername()`
`String`
`getValidationQuery()`
`boolean`
`isTestOnBorrow()`
`boolean`
`isTestWhileIdle()`
`void`
`setConnectionInitSqls(String connectionInitSqls)`
`void`
`setDriverClassName(String driverClassName)`
`void`
`setInitialSize(int initialSize)`
`void`
`setMaxIdle(int maxIdle)`
`void`
`setMaxTotal(int maxTotal)`
`void`
`setNumTestsPerEvictionRun(int numTestsPerEvictionRun)`
`void`
`setPassword(String password)`
`void`
`setTestOnBorrow(boolean testOnBorrow)`
`void`
`setTestWhileIdle(boolean testWhileIdle)`
`void`
`setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)`
`void`
`setUrl(String url)`
`void`
`setUsername(String username)`
`void`
`setValidationQuery(String validationQuery)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DbcpConfiguration

public DbcpConfiguration()

## Method Details

### getDriverClassName

public String getDriverClassName()

### getMaxTotal

public int getMaxTotal()

### getMaxIdle

public int getMaxIdle()

### getInitialSize

public int getInitialSize()

### isTestOnBorrow

public boolean isTestOnBorrow()

### getTimeBetweenEvictionRunsMillis

public long getTimeBetweenEvictionRunsMillis()

### getNumTestsPerEvictionRun

public int getNumTestsPerEvictionRun()

### isTestWhileIdle

public boolean isTestWhileIdle()

### getPassword

public String getPassword()

### getUrl

public String getUrl()

### getValidationQuery

public String getValidationQuery()

### setDriverClassName

public void setDriverClassName(String driverClassName)

### setMaxTotal

public void setMaxTotal(int maxTotal)

### setMaxIdle

public void setMaxIdle(int maxIdle)

### setInitialSize

public void setInitialSize(int initialSize)

### setTestOnBorrow

public void setTestOnBorrow(boolean testOnBorrow)

### setTimeBetweenEvictionRunsMillis

public void setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)

### setNumTestsPerEvictionRun

public void setNumTestsPerEvictionRun(int numTestsPerEvictionRun)

### setTestWhileIdle

public void setTestWhileIdle(boolean testWhileIdle)

### setPassword

public void setPassword(String password)

### setUrl

public void setUrl(String url)

### setValidationQuery

public void setValidationQuery(String validationQuery)

### getUsername

public String getUsername()

### setUsername

public void setUsername(String username)

### getConnectionInitSqls

public String getConnectionInitSqls()

### setConnectionInitSqls

public void setConnectionInitSqls(String connectionInitSqls)